<?xml version="1.0" encoding="latin1" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>1999</year>
      <year>2011</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  The contents of this file are subject to the Erlang Public License,
  Version 1.1, (the "License"); you may not use this file except in
  compliance with the License. You should have received a copy of the
  Erlang Public License along with this software. If not, it can be
  retrieved online at http://www.erlang.org/.

  Software distributed under the License is distributed on an "AS IS"
  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
  the License for the specific language governing rights and limitations
  under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosTransactions_Control</title>
    <prepared>Niclas Eklund</prepared>
    <responsible>Niclas Eklund</responsible>
    <docno></docno>
    <approved>Niclas Eklund</approved>
    <checked></checked>
    <date>1999-04-12</date>
    <rev>PA1</rev>
  </header>
  <module>CosTransactions_Control</module>
  <modulesummary>This module implements the OMG CosTransactions::Control interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosTransactions/include/CosTransactions.hrl").</c></p>
  </description>
  <funcs>
    <func>
      <name>get_coordinator(Control) -> Return</name>
      <fsummary>Return the Coordinator object associated with the target object</fsummary>
      <type>
        <v>Control = #objref</v>
        <v>Return =  Coordinator | {'EXCEPTION', E}</v>
        <v>Coordinator = #objref</v>
        <v>E = #'CosTransactions_Unavailable' {}</v>
      </type>
      <desc>
        <p>This operation returns the Coordinator object associated with the target object.
          The Coordinator supports operations for termination of a transaction.</p>
      </desc>
    </func>
    <func>
      <name>get_terminator(Control) -> Return</name>
      <fsummary>Return the Terminator object associated with the target object</fsummary>
      <type>
        <v>Control = #objref</v>
        <v>Return =  Terminator | {'EXCEPTION', E}</v>
        <v>Terminator = #objref</v>
        <v>E = #'CosTransactions_Unavailable' {}</v>
      </type>
      <desc>
        <p>This operation returns the Terminator object associated with the target object.
          The Terminator supports operations for termination of a transaction.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

